// scancrdsDlg.h : header file
//
//{{AFX_INCLUDES()
#include "msflexgrid.h"
//}}AFX_INCLUDES

#if !defined(AFX_SCANCRDSDLG_H__31537E09_311C_4265_9388_93FA4C801DC8__INCLUDED_)
#define AFX_SCANCRDSDLG_H__31537E09_311C_4265_9388_93FA4C801DC8__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "visa.h"

/////////////////////////////////////////////////////////////////////////////
// CScancrdsDlg dialog

class CScancrdsDlg : public CDialog
{
// Construction
public:
	unsigned long dev_cnt;
	int scard[2];
	ViSession  defaultRM;        	    // Resource manager 
	ViSession  instr1;                  // instrument 1 and 2
	ViSession  instr2;                  // instrument 1 and 2
	CScancrdsDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CScancrdsDlg)
	enum { IDD = IDD_SCANCRDS_DIALOG };
	CString	m_scrd1;
	CString	m_scrd2;
	CMSFlexGrid	m_grid1;
	CMSFlexGrid	m_grid2;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CScancrdsDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CScancrdsDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnButnquit();
	afx_msg void OnButnexe();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_SCANCRDSDLG_H__31537E09_311C_4265_9388_93FA4C801DC8__INCLUDED_)
